package com.rjconsultores.ventaboletos;

import java.sql.Connection;

import org.flywaydb.core.api.MigrationInfo;
import org.flywaydb.core.api.callback.FlywayCallback;

/* https://flywaydb.org/documentation/callbacks.html */
public class FlyWayCallback implements FlywayCallback {
	private String script = null;
	
	public String getScriptError() {
		return script;
	}
			
	@Override
	public void beforeClean(Connection connection) {
		
	}

	@Override
	public void afterClean(Connection connection) {
		
	}

	@Override
	public void beforeMigrate(Connection connection) {
		
	}

	@Override
	public void afterMigrate(Connection connection) {
		
	}

	@Override
	public void beforeEachMigrate(Connection connection, MigrationInfo info) {
		this.script = info.getScript(); 
	}

	@Override
	public void afterEachMigrate(Connection connection, MigrationInfo info) {
		this.script = null;
	}

	@Override
	public void beforeValidate(Connection connection) {
		
	}

	@Override
	public void afterValidate(Connection connection) {
		
	}

	@Override
	public void beforeBaseline(Connection connection) {
		
	}

	@Override
	public void afterBaseline(Connection connection) {
		
	}

	@Override
	public void beforeRepair(Connection connection) {
		
	}

	@Override
	public void afterRepair(Connection connection) {
		
	}

	@Override
	public void beforeInfo(Connection connection) {
		
	}

	@Override
	public void afterInfo(Connection connection) {
		
	}
}
