declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE TABLE
        CASETA_PEAJE_EXCEPCION
        (
            CASETAPEAJEEXCEPCION_ID NUMBER(7) NOT NULL,
            CASETAPEAJE_ID NUMBER(7) NOT NULL,
            FECHAVENTAINI DATE,
            FECHAVENTAFIN DATE,
            FECHORINICIO DATE,
            FECHORFINAL DATE,
            INDLUNES NUMBER(1),
            INDMARTES NUMBER(1),
            INDMIERCOLES NUMBER(1),
            INDJUEVES NUMBER(1),
            INDVIERNES NUMBER(1),
            INDSABADO NUMBER(1),
            INDDOMINGO NUMBER(1),
            ACTIVO NUMBER(1),
            FECMODIF DATE,
            USUARIO_ID NUMBER(7),
            PRECIO NUMBER(7,2),
            CONSTRAINT CASETA_PEAJE_EXCEPCION_PK PRIMARY KEY (CASETAPEAJEEXCEPCION_ID),
            CONSTRAINT CASETAPEXCEPCION_CASETA_FK FOREIGN KEY (CASETAPEAJE_ID) REFERENCES
            CASETA_PEAJE (CASETAPEAJE_ID),
            CONSTRAINT NNC_CASETAPEAJEEXCEPCION_ID CHECK ("CASETAPEAJEEXCEPCION_ID" IS NOT NULL),
            CONSTRAINT NNC_CASETAPEAJE_ID CHECK ("CASETAPEAJE_ID" IS NOT NULL)
        )';
 exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE SEQUENCE "CASETA_PEAJE_EXCEPCION_SEQ" MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER NOCYCLE';
 exception when object_exists then null;
end;
