declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE TABLE CLASSE_INDICE_PEAJE (
      CLASSE_INDICE_PEAJE_ID INTEGER PRIMARY KEY,
      ACTIVO                 NUMERIC(1),
      CLASSE_SERVICIO_ID     INTEGER,
      ORGAOCONCEDENTE_ID     INTEGER,
      INDICE_PEAJE           INTEGER,
      FOREIGN KEY (CLASSE_SERVICIO_ID) REFERENCES CLASE_SERVICIO (CLASESERVICIO_ID),
      FOREIGN KEY (ORGAOCONCEDENTE_ID) REFERENCES ORGAO_CONCEDENTE (ORGAOCONCEDENTE_ID)
    )';
 exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 'CREATE SEQUENCE "CLASSE_INDICE_PEAJE_SEQ" MINVALUE 1 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER NOCYCLE';	
  exception when object_exists then null;
end;
