declare 
  object_exists exception;
  except_01451  exception;
  except_01442  exception;

  pragma exception_init (object_exists , -01430);
  pragma exception_init (except_01451  , -01451);
  pragma exception_init (except_01442  , -01442);
begin 
  execute immediate 'ALTER TABLE CONVENIO ADD TERMOECONDICAO VARCHAR2(100 BYTE)';
  exception 
    when object_exists  then null;
    when except_01451  then null;
    when except_01442  then null;
end;
/
declare 
  object_exists exception;
  except_01451  exception;
  except_01442  exception;

  pragma exception_init (object_exists , -01430);
  pragma exception_init (except_01451  , -01451);
  pragma exception_init (except_01442  , -01442);
begin 
  execute immediate 'ALTER TABLE CONVENIO ADD MENSAGEMGANHADOR VARCHAR2(100 BYTE)';
  exception 
    when object_exists  then null;
    when except_01451  then null;
    when except_01442  then null;
end;
/
declare 
  object_exists exception;
  except_01451  exception;
  except_01442  exception;

  pragma exception_init (object_exists , -01430);
  pragma exception_init (except_01451  , -01451);
  pragma exception_init (except_01442  , -01442);
begin 
  execute immediate 'ALTER TABLE CONVENIO ADD VLREMITIRCUPOM NUMBER(7, 0)';
  exception 
    when object_exists  then null;
    when except_01451  then null;
    when except_01442  then null;
end;
/

declare 
  object_exists exception;
  except_01451  exception;
  except_01442  exception;

  pragma exception_init (object_exists , -01430);
  pragma exception_init (except_01451  , -01451);
  pragma exception_init (except_01442  , -01442);
begin 
  execute immediate 'ALTER TABLE CONVENIO ADD ISCUPOMALEATORIO NUMBER(1, 0)';
  exception 
    when object_exists  then null;
    when except_01451  then null;
    when except_01442  then null;
end;
/

declare 
  object_exists exception;
  except_01451  exception;
  except_01442  exception;

  pragma exception_init (object_exists , -01430);
  pragma exception_init (except_01451  , -01451);
  pragma exception_init (except_01442  , -01442);
begin 
  execute immediate 'ALTER TABLE CONVENIO ADD QTDDIGITOSCUPOM NUMBER(3, 0)';
  exception 
    when object_exists  then null;
    when except_01451  then null;
    when except_01442  then null;
end;
/

declare 
  object_exists exception;
  except_01451  exception;
  except_01442  exception;

  pragma exception_init (object_exists , -01430);
  pragma exception_init (except_01451  , -01451);
  pragma exception_init (except_01442  , -01442);
begin 
  execute immediate 'ALTER TABLE CONVENIO ADD CODIGOCUPOM VARCHAR2(40 BYTE)';
  exception 
    when object_exists  then null;
    when except_01451  then null;
    when except_01442  then null;
end;
/

declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 'CREATE TABLE CONVENIOCAMPANHA_PTOVTA (
    CONVENIOCAMPANHAPTOVTA_ID NUMBER(7,0) NOT NULL ENABLE, 
	CONVENIO_ID NUMBER(7,0), 
	PUNTOVENTA_ID NUMBER(7,0), 
	ACTIVO NUMBER(1,0), 
	FECMODIF DATE, 
	USUARIO_ID NUMBER(7,0), 
    PRIMARY KEY (CONVENIOCAMPANHAPTOVTA_ID),
	FOREIGN KEY (PUNTOVENTA_ID)
	REFERENCES PUNTO_VENTA (PUNTOVENTA_ID) ENABLE,
    FOREIGN KEY (CONVENIO_ID)
	REFERENCES CONVENIO (CONVENIO_ID) ENABLE )';
  exception when object_exists then null;
end;
/

declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 'CREATE SEQUENCE CONVENIOCAMPANHA_PTOVTA_SEQ INCREMENT BY 1 START WITH 1 NOCACHE ORDER NOCYCLE';
  exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 'CREATE TABLE CONVENIOCAMPANHA_EMPRESA (
    CONVENIOCAMPANHAEMPRESA_ID NUMBER(7,0) NOT NULL ENABLE,
	CONVENIO_ID NUMBER(7,0), 
	EMPRESA_ID NUMBER(7,0), 
	ACTIVO NUMBER(1,0), 
	FECMODIF DATE, 
	USUARIO_ID NUMBER(7,0), 
    PRIMARY KEY (CONVENIOCAMPANHAEMPRESA_ID),
	FOREIGN KEY (EMPRESA_ID)
	REFERENCES EMPRESA (EMPRESA_ID) ENABLE,
	FOREIGN KEY (CONVENIO_ID)
	REFERENCES CONVENIO (CONVENIO_ID) ENABLE)';
  exception when object_exists then null;
end;
/

declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 'CREATE SEQUENCE CONVENIOCAMPANHA_EMPRESA_SEQ INCREMENT BY 1 START WITH 1 NOCACHE ORDER NOCYCLE';
  exception when object_exists then null;
end;


 



