declare

    table_exists exception;

    pragma exception_init (table_exists , -00955);

begin

  execute immediate

        'CREATE TABLE FISCAL_D2

        (

      FISCALD2_ID NUMBER(15,0) NOT NULL ENABLE, 

      CNPJ VARCHAR2(14),
		  
		  NUMFABRICACAO VARCHAR2(20),
		  
		  MFADICIONAL VARCHAR2(1),
		  
		  TIPOECF VARCHAR2(7),
		  
		  MARCAECF VARCHAR2(20),
		  
		  MODELOECF VARCHAR2(20),
		  
		  COO VARCHAR2(9),
		  
		  NUMDAV VARCHAR2(13),
		  
		  DATADAV VARCHAR2(8),
		  
		  TITULODAV VARCHAR2(30),
		  
		  VALORTOTALDAV VARCHAR2(8),
		  
		  COOVINCULADO VARCHAR2(9),
		  
		  NUMSEQUENCIA VARCHAR2(3),
		  
		  NOMECLIENTE VARCHAR2(40),
		  
		  CPFCNPJCLIENTE VARCHAR2(14),

      ACTIVO NUMBER(1,0),

      FECMODIF DATE,

      USUARIO_ID NUMBER(7,0),
              
      HASHVTA VARCHAR2(32 BYTE),
      
      HASHBD VARCHAR2(32 BYTE),

          CONSTRAINT FISCAL_D2_PK PRIMARY KEY (FISCALD2_ID)

        ENABLE)';

    exception when table_exists then null;

end;
/
declare

    table_exists exception;

    pragma exception_init (table_exists , -00955);

begin

  execute immediate

        'CREATE TABLE FISCAL_D3

        (

      FISCALD3_ID NUMBER(15,0) NOT NULL ENABLE, 

      NUMDAV VARCHAR2(13),
		  
		  DATAINCLUSAO VARCHAR2(8),
		  
		  NUMITEM VARCHAR2(3),
		  
		  CODIGO VARCHAR2(14),
		  
		  DESCRICAO VARCHAR2(100),
		  
		  QUANTIDADE VARCHAR2(7),
		  
		  UNIDADE VARCHAR2(3),
		  
		  VALORUNITARIO VARCHAR2(8),
		  
		  DESCONTOITEM VARCHAR2(8),
		  
		  ACRESCIMOITEM VARCHAR2(8),
		  
		  TOTAL VARCHAR2(14),
		  
		  SITUACAO VARCHAR2(1),
		  
		  ALIQUOTA VARCHAR2(4),
		  
		  INDCANCELAMENTO VARCHAR2(1),
		  
		  DECIMAISQTD VARCHAR2(1),
		  
		  DECIMAISVALOR VARCHAR2(1),

      ACTIVO NUMBER(1,0),

      FECMODIF DATE,

      USUARIO_ID NUMBER(7,0),
          
      HASHVTA VARCHAR2(32 BYTE),
      
      HASHBD VARCHAR2(32 BYTE),

          CONSTRAINT FISCAL_D3_PK PRIMARY KEY (FISCALD3_ID)

        ENABLE)';

    exception when table_exists then null;

end;