declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE TABLE CONF_RESTRICAO_VENDAWEB
   (CONFRESTRICAOVENDAWEB_ID NUMBER(7,0) NOT NULL ENABLE, 
	EMPRESA_ID NUMBER(7,0), 
	VALOR NUMBER(7,2), 
	ACTIVO NUMBER(1,0), 
	FECMODIF DATE, 
	USUARIO_ID NUMBER(7,0), 
	 PRIMARY KEY (CONFRESTRICAOVENDAWEB_ID), 
	 FOREIGN KEY (EMPRESA_ID)
	  REFERENCES EMPRESA (EMPRESA_ID) ENABLE
   )';
  exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
  	'CREATE SEQUENCE  CONF_RESTRICAO_VENDAWEB_SEQ  MINVALUE 1 MAXVALUE 9999999 INCREMENT BY 1 START WITH 101 CACHE 20 NOORDER  NOCYCLE';	
  exception when object_exists then null;
end;