declare
    table_exists exception;
    pragma exception_init (table_exists , -00955);
begin
  execute immediate
	'CREATE TABLE CONF_TOTEM (
		  CONFTOTEM_ID NUMBER(7) NOT NULL,
		  CHAVE  VARCHAR2(100) NULL, 
		  VALOR VARCHAR2(100) NULL,
		  ACTIVO NUMBER(1),
		  SISTEMA NUMBER(1),
          FECMODIF DATE,
          USUARIO_ID NUMBER(7),
		  PRIMARY KEY ( CONFTOTEM_ID )
    )';
	
  exception when table_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 'CREATE SEQUENCE "CONF_TOTEM_SEQ" INCREMENT BY 1 START WITH 1 NOCACHE ORDER NOCYCLE';	
  exception when object_exists then null;
end;