declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 'CREATE TABLE CLIENTE_BLOQUEIO (
   CLIENTEBLOQUEIO_ID   NUMBER(15,0) NOT NULL,
   BOLETO_ID            NUMBER(15) NULL,
   CLIENTE_ID           NUMBER(7) NULL,
   CATEGORIA_ID         NUMBER(7) NULL,
   INDNAOEMBARQUE       NUMBER(1) NULL,
   QTDE_BLOQUEIO_NE		NUMBER(5) NULL,
   ACTIVO               NUMBER(1) NULL,
   FECMODIF             DATE NULL,
   USUARIO_ID           NUMBER(7) NULL,
   PRIMARY KEY (CLIENTEBLOQUEIO_ID), 
   FOREIGN KEY (CATEGORIA_ID) REFERENCES CATEGORIA, 
   FOREIGN KEY (CLIENTE_ID) REFERENCES CLIENTE, 
   FOREIGN KEY (BOLETO_ID) REFERENCES BOLETO
)';
  exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 'CREATE SEQUENCE CLIENTE_BLOQUEIO_SEQ MINVALUE 1 MAXVALUE 999999999999999 INCREMENT BY 1 START WITH 1';
  exception when object_exists then null;
end;