DO $$
BEGIN
  CREATE TABLE FACTURACION_SICFE (
		FACTURACIONSICFE_ID NUMERIC(7) NOT NULL,
		TIPOCFE NUMERIC(5),
		SERIE VARCHAR(20),
		NUMFISCALCFE NUMERIC(20),
		RUTEMISOR NUMERIC(12),
		HASH  VARCHAR(50),
		TELEFONO VARCHAR(14),
		NUMOPERACION VARCHAR(36),
		PDFSICFE bytea,
        ACTIVO SMALLINT,
        FECMODIF TIME without TIME zone,
        USUARIO_ID NUMERIC(7),
        PRIMARY KEY (FACTURACIONSICFE_ID)
	);
	
  CREATE SEQUENCE FACTURACION_SICFE_SEQ INCREMENT BY 1 START WITH 1 NO CYCLE;

  ALTER TABLE PUNTO_VENTA ADD COLUMN SUCURSALDGI VARCHAR(10);
  ALTER TABLE EMPRESA ADD COLUMN TIPOTASA VARCHAR(1);
  ALTER TABLE EMPRESA ADD COLUMN PORCTASA NUMERIC(4,2);
  
  EXCEPTION 
    WHEN duplicate_table THEN NULL;
    WHEN duplicate_object THEN NULL;
    WHEN duplicate_column THEN NULL;
END
$$;
