DO $$
BEGIN
  Insert into CONSTANTE (CONSTANTE_ID,NOMBCONSTANTE,DESCCONSTANTE,INDTIPOCONSTANTE,
		VALORCONSTANTE,INDMANTENIMIENTOUSUARIO,ACTIVO,FECMODIF,USUARIO_ID) 
		values (CONSTANTE_SEQ.NEXTVAL,'AG_CONTA_RECEITA_ADIANTAMENTO_ENTRADA','AG_CONTA_RECEITA_ADIANTAMENTO_ENTRADA',
		null,'111129',null,'1',sysdate,'1');

  EXCEPTION WHEN duplicate_column THEN NULL;
END
$$;

DO $$
BEGIN
  Insert into CONSTANTE (CONSTANTE_ID,NOMBCONSTANTE,DESCCONSTANTE,INDTIPOCONSTANTE,
		VALORCONSTANTE,INDMANTENIMIENTOUSUARIO,ACTIVO,FECMODIF,USUARIO_ID) 
		values (CONSTANTE_SEQ.NEXTVAL,'AG_CONTA_RECEITA_ADIANTAMENTO_SAIDA','AG_CONTA_RECEITA_ADIANTAMENTO_SAIDA',
		null,'111128',null,'1',sysdate,'1');

  EXCEPTION WHEN duplicate_column THEN NULL;
END
$$;

DO $$
BEGIN
  Insert into CONSTANTE (CONSTANTE_ID,NOMBCONSTANTE,DESCCONSTANTE,INDTIPOCONSTANTE,
		VALORCONSTANTE,INDMANTENIMIENTOUSUARIO,ACTIVO,FECMODIF,USUARIO_ID) 
		values (CONSTANTE_SEQ.NEXTVAL,'AG_CONTA_DESPESA','AG_CONTA_DESPESA',
		null,'311130',null,'1',sysdate,'1');

  EXCEPTION WHEN duplicate_column THEN NULL;
END
$$;

DO $$
BEGIN
  Insert into CONSTANTE (CONSTANTE_ID,NOMBCONSTANTE,DESCCONSTANTE,INDTIPOCONSTANTE,
		VALORCONSTANTE,INDMANTENIMIENTOUSUARIO,ACTIVO,FECMODIF,USUARIO_ID) 
		values (CONSTANTE_SEQ.NEXTVAL,'AG_CONTA_FINANCEIRA_ADIANTAMENTOS','AG_CONTA_FINANCEIRA_ADIANTAMENTOS',
		null,'0062',null,'1',sysdate,'1');

  EXCEPTION WHEN duplicate_column THEN NULL;
END
$$;

DO $$
BEGIN
  Insert into CONSTANTE (CONSTANTE_ID,NOMBCONSTANTE,DESCCONSTANTE,INDTIPOCONSTANTE,
		VALORCONSTANTE,INDMANTENIMIENTOUSUARIO,ACTIVO,FECMODIF,USUARIO_ID) 
		values (CONSTANTE_SEQ.NEXTVAL,'AG_CONTA_FINANCEIRA_CONTAS_RECEBER','AG_CONTA_FINANCEIRA_CONTAS_RECEBER',
		null,'0061',null,'1',sysdate,'1');

  EXCEPTION WHEN duplicate_column THEN NULL;
END
$$;

DO $$
BEGIN
  Insert into CONSTANTE (CONSTANTE_ID,NOMBCONSTANTE,DESCCONSTANTE,INDTIPOCONSTANTE,
		VALORCONSTANTE,INDMANTENIMIENTOUSUARIO,ACTIVO,FECMODIF,USUARIO_ID) 
		values (CONSTANTE_SEQ.NEXTVAL,'AG_CONTA_FINANCEIRA_CONTAS_PAGAR','AG_CONTA_FINANCEIRA_CONTAS_PAGAR',
		null,'0060',null,'1',sysdate,'1');

  EXCEPTION WHEN duplicate_column THEN NULL;
END
$$;

DO $$
BEGIN
  Insert into CONSTANTE (CONSTANTE_ID,NOMBCONSTANTE,DESCCONSTANTE,INDTIPOCONSTANTE,
		VALORCONSTANTE,INDMANTENIMIENTOUSUARIO,ACTIVO,FECMODIF,USUARIO_ID) 
		values (CONSTANTE_SEQ.NEXTVAL,'AG_OBSERVACAO_ADIANTAMENTO_TOTALBUS','AG_OBSERVACAO_ADIANTAMENTO_TOTALBUS',
		null,'Adiantamento Totalbus pelo Webservice',null,'1',sysdate,'1');

  EXCEPTION WHEN duplicate_column THEN NULL;
END
$$;

DO $$
BEGIN
  Insert into CONSTANTE (CONSTANTE_ID,NOMBCONSTANTE,DESCCONSTANTE,INDTIPOCONSTANTE,
		VALORCONSTANTE,INDMANTENIMIENTOUSUARIO,ACTIVO,FECMODIF,USUARIO_ID) 
		values (CONSTANTE_SEQ.NEXTVAL,'AG_OBSERVACAO_DEVOLUCAO_ADIANTAMENTO_TOTALBUS','AG_OBSERVACAO_DEVOLUCAO_ADIANTAMENTO_TOTALBUS',
		null,'Baixa de Adiantamento Totalbus pelo Webservice',null,'1',sysdate,'1');

  EXCEPTION WHEN duplicate_column THEN NULL;
END
$$;

DO $$
BEGIN
  Insert into CONSTANTE (CONSTANTE_ID,NOMBCONSTANTE,DESCCONSTANTE,INDTIPOCONSTANTE,
		VALORCONSTANTE,INDMANTENIMIENTOUSUARIO,ACTIVO,FECMODIF,USUARIO_ID) 
		values (CONSTANTE_SEQ.NEXTVAL,'AG_OBSERVACAO_RECEITA_PASSAGEM_BOLETO','AG_OBSERVACAO_RECEITA_PASSAGEM_BOLETO',
		null,'00084 Receita de Passagem - Boleto',null,'1',sysdate,'1');

  EXCEPTION WHEN duplicate_column THEN NULL;
END
$$;

DO $$
BEGIN
  Insert into CONSTANTE (CONSTANTE_ID,NOMBCONSTANTE,DESCCONSTANTE,INDTIPOCONSTANTE,
		VALORCONSTANTE,INDMANTENIMIENTOUSUARIO,ACTIVO,FECMODIF,USUARIO_ID) 
		values (CONSTANTE_SEQ.NEXTVAL,'AG_OBSERVACAO_RECEITA_PASSAGEM_CARTAO','AG_OBSERVACAO_RECEITA_PASSAGEM_CARTAO',
		null,'00083	Receita de Passagem - Carto de Crdito',null,'1',sysdate,'1');

  EXCEPTION WHEN duplicate_column THEN NULL;
END
$$;

DO $$
BEGIN
  Insert into CONSTANTE (CONSTANTE_ID,NOMBCONSTANTE,DESCCONSTANTE,INDTIPOCONSTANTE,
		VALORCONSTANTE,INDMANTENIMIENTOUSUARIO,ACTIVO,FECMODIF,USUARIO_ID) 
		values (CONSTANTE_SEQ.NEXTVAL,'AG_OBSERVACAO_RECEITA_PASSAGEM_DEPOSITO','AG_OBSERVACAO_RECEITA_PASSAGEM_DEPOSITO',
		null,'00082	Receita de Passagem - A vista',null,'1',sysdate,'1');

  EXCEPTION WHEN duplicate_column THEN NULL;
END
$$;

DO $$
BEGIN
  Insert into CONSTANTE (CONSTANTE_ID,NOMBCONSTANTE,DESCCONSTANTE,INDTIPOCONSTANTE,
		VALORCONSTANTE,INDMANTENIMIENTOUSUARIO,ACTIVO,FECMODIF,USUARIO_ID) 
		values (CONSTANTE_SEQ.NEXTVAL,'AG_RECEITA_PASSAGEM_BOLETO','AG_RECEITA_PASSAGEM_BOLETO',
		null,'111127',null,'1',sysdate,'1');

  EXCEPTION WHEN duplicate_column THEN NULL;
END
$$;

DO $$
BEGIN
  Insert into CONSTANTE (CONSTANTE_ID,NOMBCONSTANTE,DESCCONSTANTE,INDTIPOCONSTANTE,
		VALORCONSTANTE,INDMANTENIMIENTOUSUARIO,ACTIVO,FECMODIF,USUARIO_ID) 
		values (CONSTANTE_SEQ.NEXTVAL,'AG_RECEITA_PASSAGEM_DEPOSITO','AG_RECEITA_PASSAGEM_DEPOSITO',
		null,'111101',null,'1',sysdate,'1');

  EXCEPTION WHEN duplicate_column THEN NULL;
END
$$;

DO $$
BEGIN
  Insert into CONSTANTE (CONSTANTE_ID,NOMBCONSTANTE,DESCCONSTANTE,INDTIPOCONSTANTE,
		VALORCONSTANTE,INDMANTENIMIENTOUSUARIO,ACTIVO,FECMODIF,USUARIO_ID) 
		values (CONSTANTE_SEQ.NEXTVAL,'AG_RECEITA_PASSAGEM_CARTAO','AG_RECEITA_PASSAGEM_CARTAO',
		null,'111120',null,'1',sysdate,'1');

  EXCEPTION WHEN duplicate_column THEN NULL;
END
$$;

DO $$
BEGIN
  Insert into CONSTANTE (CONSTANTE_ID,NOMBCONSTANTE,DESCCONSTANTE,INDTIPOCONSTANTE,
		VALORCONSTANTE,INDMANTENIMIENTOUSUARIO,ACTIVO,FECMODIF,USUARIO_ID) 
		values (CONSTANTE_SEQ.NEXTVAL,'AG_RECEITA_ADIANTAMENTO_BOLETO','AG_RECEITA_ADIANTAMENTO_BOLETO',
		null,'111127',null,'1',sysdate,'1');

  EXCEPTION WHEN duplicate_column THEN NULL;
END
$$;

DO $$
BEGIN
  Insert into CONSTANTE (CONSTANTE_ID,NOMBCONSTANTE,DESCCONSTANTE,INDTIPOCONSTANTE,
		VALORCONSTANTE,INDMANTENIMIENTOUSUARIO,ACTIVO,FECMODIF,USUARIO_ID) 
		values (CONSTANTE_SEQ.NEXTVAL,'AG_RECEITA_ADIANTAMENTO_DEPOSITO','AG_RECEITA_ADIANTAMENTO_DEPOSITO',
		null,'111101',null,'1',sysdate,'1');

  EXCEPTION WHEN duplicate_column THEN NULL;
END
$$;

DO $$
BEGIN
  Insert into CONSTANTE (CONSTANTE_ID,NOMBCONSTANTE,DESCCONSTANTE,INDTIPOCONSTANTE,
		VALORCONSTANTE,INDMANTENIMIENTOUSUARIO,ACTIVO,FECMODIF,USUARIO_ID) 
		values (CONSTANTE_SEQ.NEXTVAL,'AG_TIPO_DOCUMENTO_BOLETO','AG_TIPO_DOCUMENTO_BOLETO',
		null,'046',null,'1',sysdate,'1');

  EXCEPTION WHEN duplicate_column THEN NULL;
END
$$;

DO $$
BEGIN
  Insert into CONSTANTE (CONSTANTE_ID,NOMBCONSTANTE,DESCCONSTANTE,INDTIPOCONSTANTE,
		VALORCONSTANTE,INDMANTENIMIENTOUSUARIO,ACTIVO,FECMODIF,USUARIO_ID) 
		values (CONSTANTE_SEQ.NEXTVAL,'AG_TIPO_DOCUMENTO_DEPOSITO','AG_TIPO_DOCUMENTO_DEPOSITO',
		null,'047',null,'1',sysdate,'1');

  EXCEPTION WHEN duplicate_column THEN NULL;
END
$$;

DO $$
BEGIN
  Insert into CONSTANTE (CONSTANTE_ID,NOMBCONSTANTE,DESCCONSTANTE,INDTIPOCONSTANTE,
		VALORCONSTANTE,INDMANTENIMIENTOUSUARIO,ACTIVO,FECMODIF,USUARIO_ID) 
		values (CONSTANTE_SEQ.NEXTVAL,'AG_CODIGO_MODALIDADE','AG_CODIGO_MODALIDADE',
		null,'03',null,'1',sysdate,'1');

  EXCEPTION WHEN duplicate_column THEN NULL;
END
$$;

DO $$
BEGIN
  Insert into CONSTANTE (CONSTANTE_ID,NOMBCONSTANTE,DESCCONSTANTE,INDTIPOCONSTANTE,
		VALORCONSTANTE,INDMANTENIMIENTOUSUARIO,ACTIVO,FECMODIF,USUARIO_ID) 
		values (CONSTANTE_SEQ.NEXTVAL,'AG_CODIGO_SERVICO','AG_CODIGO_SERVICO',
		null,'0012',null,'1',sysdate,'1');

  EXCEPTION WHEN duplicate_column THEN NULL;
END
$$;

DO $$
BEGIN
  Insert into CONSTANTE (CONSTANTE_ID,NOMBCONSTANTE,DESCCONSTANTE,INDTIPOCONSTANTE,
		VALORCONSTANTE,INDMANTENIMIENTOUSUARIO,ACTIVO,FECMODIF,USUARIO_ID) 
		values (CONSTANTE_SEQ.NEXTVAL,'AG_MOTIVO_CANCELAMENTO','AG_MOTIVO_CANCELAMENTO',
		null,'Cancelamento Totalbus',null,'1',sysdate,'1');

  EXCEPTION WHEN duplicate_column THEN NULL;
END
$$;

DO $$
BEGIN
  Insert into CONSTANTE (CONSTANTE_ID,NOMBCONSTANTE,DESCCONSTANTE,INDTIPOCONSTANTE,
		VALORCONSTANTE,INDMANTENIMIENTOUSUARIO,ACTIVO,FECMODIF,USUARIO_ID) 
		values (CONSTANTE_SEQ.NEXTVAL,'AG_CONTA_RECEBER_BOLETO','AG_CONTA_RECEBER_BOLETO',
		null,'1',null,'1',sysdate,'1');

  EXCEPTION WHEN duplicate_column THEN NULL;
END
$$;

DO $$
BEGIN
  Insert into CONSTANTE (CONSTANTE_ID,NOMBCONSTANTE,DESCCONSTANTE,INDTIPOCONSTANTE,
		VALORCONSTANTE,INDMANTENIMIENTOUSUARIO,ACTIVO,FECMODIF,USUARIO_ID) 
		values (CONSTANTE_SEQ.NEXTVAL,'AG_CONTA_RECEBER_CARTAO','AG_CONTA_RECEBER_CARTAO',
		null,'2',null,'1',sysdate,'1');

  EXCEPTION WHEN duplicate_column THEN NULL;
END
$$;

DO $$
BEGIN
  Insert into CONSTANTE (CONSTANTE_ID,NOMBCONSTANTE,DESCCONSTANTE,INDTIPOCONSTANTE,
		VALORCONSTANTE,INDMANTENIMIENTOUSUARIO,ACTIVO,FECMODIF,USUARIO_ID) 
		values (CONSTANTE_SEQ.NEXTVAL,'AG_CONTA_RECEBER_DEPOSITO','AG_CONTA_RECEBER_DEPOSITO',
		null,'3',null,'1',sysdate,'1');

  EXCEPTION WHEN duplicate_column THEN NULL;
END
$$;

